Subject: Hint how to allow string comparison in IfViewHelper
Description

currently, string comparisons are not directly supported. With a trick, it can be achieved nevertheless ({0: foo.bar} == {0:
'stringToCompare'}).
The Code example should mention that trick at least until "real" comparisons are allowed.

Associated revisions
Revision 05828520 - 2012-02-22 14:11 - Adrian Föder

[FEATURE] Hint about achieving string comparison in IfViewHelper

IfViewHelper's condition doesn't support real string
comparison. There's a known workaround which is now
mentioned in the VH's code examples.

Change-Id: Ia4b545290f6a54579e0167d3f0234581931387ba
Resolves: #33814
Releases: 1.1

History
#1 - 2012-02-09 14:56 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8932

#2 - 2012-02-22 14:12 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8932

#3 - 2012-02-22 14:48 - Adrian Föder
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:05828520c2aa0a9b23535e20c9746470d8bf248c.
